import { Construct } from 'constructs';
import { ExtendedConstruct } from '../../aws-cdk';
export declare enum CollectionType {
    SEARCH = "SEARCH",
    TIMESERIES = "TIMESERIES",
    VECTORSEARCH = "VECTORSEARCH"
}
export interface CollectionProps {
    readonly type: CollectionType;
    readonly name: string;
}
export declare class Collection extends ExtendedConstruct {
    constructor(scope: Construct, id: string, props: CollectionProps);
}
